Cyberduck Mountain Duck CLI

#958 closed enhancement (duplicate)

unknown host even though the host is defined within .ssh/config

Reported by: forbin Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 2.6.2
Severity: normal Keywords:
Cc: xurizaemon@… Architecture:
Platform:

Description (last modified by dkocher)

Hi .. Great product .. but one issue .. I define many tunnels within ssh .. and accomplish this through utilizing a ssh config file ...

.ssh/config is defined as:

Host pfin001
Hostname pfin001
HostKeyAlias pfin001
User root
Proxycommand ~/scripts/ssh-proxy 129.39.246.8 %h


ssh pfin001 - works fine

Trying to open a sftp session within cyberduck to root@pfin001 results in:

I/O Error: pfin001 cannot be resolved

From the command line, I can scp pfin001:/path /localpath but it sure would be great if cyberduck could handle this as well.

Change History (3)

comment:1 Changed on Nov 23, 2006 at 10:13:29 AM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Status changed from new to assigned

comment:2 Changed on Dec 21, 2006 at 9:12:53 PM by dkocher

  • Resolution set to duplicate
  • Status changed from assigned to closed

See #152.

comment:3 Changed on Jan 10, 2010 at 9:05:44 PM by xurizaemon

  • Cc xurizaemon@… added

#152 covers only the IdentityFile and User config directives.

For ProxyCommand support, see #2865 instead.

Note: See TracTickets for help on using tickets.
swiss made software